#!/usr/bin/env python

import urllib.request  
from bs4 import BeautifulSoup

player_name = 'Doublelift'

#https://lol.gamepedia.com/Doublelift/Match_History

# acquire html document
url = 'https://lol.gamepedia.com/Special:RunQuery/MatchHistoryPlayer?MHP%5Bname%5D=' + player_name + '&MHP%5Blimit%5D=20&MHP%5Btext%5D=No&pfRunQueryFormName=MatchHistoryPlayer'

# retreive parts of the HTML document
html_doc = urllib.request.urlopen(url)		  # change url into html doc
Soup = BeautifulSoup(html_doc, 'html.parser') # parse html

# grab relevant table from the HTML doc
player_table = Soup.find_all('table')[0]
#print(player_table)

table_rows = player_table.find_all('tr') # retrieves rows in the table
header = table_rows[1].find_all('th') # retrieves 2nd row with header 

# clean data (dependent on how table looks, so might be different for every situation)
header_text = [element.text.strip() for element in header]

# retrieves relevant columns
useful_indices = [header_text.index('K'), header_text.index('A'), header_text.index('D'), header_text.index('CS')] 

# check if row is winning or losing
for i in range(3,len(table_rows)-1):

    # get style attributes from row HTML, then parse string
    color_string = table_rows[i]['style'].split(';')[0].split(':')[1]

# download image with name of image_name.jpg
# this will download the image to the repo of your script
image_link = 'https://c-7npsfqifvt34x24e2v6q4m5x78qbz4lx2edmpvegspoux2eofu.g00.gamepedia.com/g00/3_c-7mpm.hbnfqfejb.dpn_/c-7NPSFQIFVT34x24iuuqtx3ax2fx2fe2v6q4m5x78qbz4l.dmpvegspou.ofux2fmpmftqpsut_hbnfqfejb_fox2f9x2f99x2fDmpve0mphp_trvbsf.qohx3fwfstjpox3d8g2e1f72899cc46f1bgf1301d75bge9d_$/$/$/$/$?i10c.ua=1&i10c.dv=14'
urllib.request.urlretrieve(image_link, 'cloud9.jpg')



